Skip to main content
GET
/
v2
/
info
/
chains
cURL
curl --request GET \
  --url https://api.skip.build/v2/info/chains
import requests

url = "https://api.skip.build/v2/info/chains"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.skip.build/v2/info/chains', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "chains": [
    {
      "chain_name": "cosmoshub",
      "chain_id": "cosmoshub-4",
      "pfm_enabled": true,
      "cosmos_module_support": {
        "authz": true,
        "feegrant": true
      },
      "supports_memo": true,
      "logo_uri": "https://raw.githubusercontent.com/cosmos/chain-registry/master/cosmoshub/images/atom.png",
      "bech32_prefix": "cosmos",
      "fee_assets": [
        {
          "denom": "uatom",
          "gas_price": {
            "low": "0.01",
            "average": "0.025",
            "high": "0.03"
          }
        }
      ],
      "chain_type": "cosmos",
      "ibc_capabilities": {
        "cosmos_pfm": true,
        "cosmos_ibc_hooks": true,
        "cosmos_memo": true,
        "cosmos_autopilot": true
      },
      "is_testnet": false,
      "pretty_name": "Cosmos Hub"
    },
    {
      "chain_name": "osmosis",
      "chain_id": "osmosis-1",
      "pfm_enabled": true,
      "cosmos_module_support": {
        "authz": true,
        "feegrant": true
      },
      "supports_memo": true,
      "bech32_prefix": "osmo",
      "logo_uri": "https://raw.githubusercontent.com/cosmos/chain-registry/master/osmosis/images/osmosis-chain-logo.png",
      "fee_assets": [
        {
          "denom": "uosmo",
          "gas_price": {
            "low": "0.0025",
            "average": "0.025",
            "high": "0.04"
          }
        }
      ],
      "chain_type": "cosmos",
      "ibc_capabilities": {
        "cosmos_pfm": true,
        "cosmos_ibc_hooks": true,
        "cosmos_memo": true,
        "cosmos_autopilot": true
      },
      "is_testnet": false,
      "pretty_name": "Osmosis"
    }
  ]
}

Query Parameters

chain_ids
string[]

Chain IDs to limit the response to, defaults to all chains if not provided

include_evm
boolean

Whether to include EVM chains in the response

include_svm
boolean

Whether to include SVM chains in the response

only_testnets
boolean

Whether to display only testnets in the response

Response

200 - application/json

Returns a list of supported chains with additional data

chains
object[]

Array of supported chain-ids